﻿@model IEnumerable<InsightHub.Web.Models.ReportMVCModels.IndexReportViewModel>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>My downloaded reports</h1>

@if (!Model.Any())
{
    <h2>No downloaded reports currently!</h2>
}
else
{

    <table class="table text-dark table-hover">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Name)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Description)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Industry)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Author)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Tags)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.TimesDownloaded)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Name)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Description)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Industry.Name)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Author)
                    </td>
                    <td>
                        @foreach (var tag in item.Tags)
                        {
                            @Html.DisplayFor(modelItem => tag.Name)
                            <br>
                        }
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.TimesDownloaded)
                    </td>
                    <td>
                        <a asp-area="" asp-controller="Reports" asp-action="Details" asp-route-id="@item.Id" class="btn btn-outline-primary">Details</a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
}
